This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 125981 - rpm -qa segmentation fault
rpm -qa segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 15:18 EDT by Brian Exelbierd
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 01:24:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Exelbierd 2004-06-14 15:18:17 EDT
Description of problem:
rpm -qa segfaults.

These solutions are always provided by private mail, so how can I get 
a copy of the solution?  I will provide any files requested.

Please be advised, I have not updated the rpm version (still 4.0.2-
6x) as I believe the problems resides in packages.rpm with the glib 
entry.

see below:

# rpm -qa
tmpwatch-2.8-0.6.x
setup-2.1.8-1
filesystem-1.3.5-1
basesystem-6.0-4
ldconfig-1.9.5-16
anacron-2.1-6
bash-1.14.7-23.6x
shadow-utils-19990827-10
termcap-10.2.7-9
libtermcap-2.0.8-20
bind-utils-8.2.3-0.6.x
MAKEDEV-2.5.2-1
ximian-wallpapers-0.2-ximian.1
ximian-faq-1.0-ximian.2
rxvt-2.6.1-8
info-4.0-5
fwbuilder-0.8.7-2
Segmentation fault

# rpm -q glib
Segmentation fault

This is the package right before fwbuilder in the nameindex.rpm 
file.  The file before glib is X11R6-Contrib .. it works fine:

# rpm -q X11R6-contrib
X11R6-contrib-3.3.2-11

Comments?

Thanks,

bex

Version-Release number of selected component (if applicable):
rpm-4.0.2-6x

How reproducible:
Always

Steps to Reproduce:
1.rpm -qa

Additional info:
Comment 1 Jeff Johnson 2004-06-15 01:24:14 EDT
If you still have packages.rpm, then this is a db1 rpmdb
that is almost impossible to support.

You might try a --rebuilddb with rpm-4.0.4 (or -4.0.5, I fergit)
from ftp.rpm.org:/pub/rpm/dist/rpm-4.0.x. The algorithm
for repairing a broken chain in the first-fit set of headers
is better in rpm-4.0.4, might help repair the damage.

Note You need to log in before you can comment on or make changes to this bug.